GNU logs - #20077, boring messages


Message sent to bug-automake@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#20077: automake / silent-rules / $(V)
Resent-From: Mirko Vogt <automake@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-automake@HIDDEN
Resent-Date: Wed, 11 Mar 2015 03:05:02 +0000
Resent-Message-ID: <handler.20077.B.142604305722300 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 20077
X-GNU-PR-Package: automake
X-GNU-PR-Keywords: 
To: 20077 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-automake@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.142604305722300
          (code B ref -1); Wed, 11 Mar 2015 03:05:02 +0000
Received: (at submit) by debbugs.gnu.org; 11 Mar 2015 03:04:17 +0000
Received: from localhost ([127.0.0.1]:42118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YVWwS-0005nZ-5X
	for submit <at> debbugs.gnu.org; Tue, 10 Mar 2015 23:04:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56202)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <automake@HIDDEN>) id 1YVV6w-0002gk-Qq
 for submit <at> debbugs.gnu.org; Tue, 10 Mar 2015 21:06:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <automake@HIDDEN>) id 1YVV6q-0007Ef-Kk
 for submit <at> debbugs.gnu.org; Tue, 10 Mar 2015 21:06:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44785)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <automake@HIDDEN>) id 1YVV6q-0007Ea-It
 for submit <at> debbugs.gnu.org; Tue, 10 Mar 2015 21:06:52 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57915)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <automake@HIDDEN>) id 1YVV6p-0001KS-FO
 for bug-automake@HIDDEN; Tue, 10 Mar 2015 21:06:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <automake@HIDDEN>) id 1YVV6l-0007DB-FX
 for bug-automake@HIDDEN; Tue, 10 Mar 2015 21:06:51 -0400
Received: from 0.mx.nanl.de ([217.115.11.12]:45372 helo=mail.nanl.de)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <automake@HIDDEN>) id 1YVV6l-0007Ct-8k
 for bug-automake@HIDDEN; Tue, 10 Mar 2015 21:06:47 -0400
Received: from [217.115.11.14] (vpn.nanl.de [217.115.11.14])
 by mail.nanl.de (Postfix) with ESMTPSA id B7BC9405DC
 for <bug-automake@HIDDEN>; Wed, 11 Mar 2015 01:05:17 +0000 (UTC)
Message-ID: <54FF9520.70201@HIDDEN>
Date: Wed, 11 Mar 2015 02:06:40 +0100
From: Mirko Vogt <automake@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.5.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Mailman-Approved-At: Tue, 10 Mar 2015 23:04:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

I just stumbled across an issue where a project fails to compile using
automake and silent-rules with $V being set to sth. else other than '1'
or '0'.

This is because of the following resulting Makefile code when using
silent rules:

AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :

This breaks builds in environments such as e.g. the cross-compiling
framework OpenWrt - which also uses $(V), however with values other than
1/0 (e.g. V=99, V={c,w,s}, etc.).

The way automake behaves here it claims that variable for its exclusive
use. I don't mind automake using $(V), however if using such generic
variable names, please don't make projects fail when $(V) is set to
something other than 1 or 0.

My proposal would be to enable verbose output, if $(V) is set to
anything but '0' and to disable otherwise ($V is unset / set to '0').

Cheers

  mirko




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.503 (Entity 5.503)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Mirko Vogt <automake@HIDDEN>
Subject: bug#20077: Acknowledgement (automake / silent-rules / $(V))
Message-ID: <handler.20077.B.142604305722300.ack <at> debbugs.gnu.org>
References: <54FF9520.70201@HIDDEN>
X-Gnu-PR-Message: ack 20077
X-Gnu-PR-Package: automake
Reply-To: 20077 <at> debbugs.gnu.org
Date: Wed, 11 Mar 2015 03:05:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-automake@HIDDEN

If you wish to submit further information on this problem, please
send it to 20077 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
20077: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D20077
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-automake@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#20077: automake / silent-rules / $(V)
Resent-From: Pavel Raiskup <praiskup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-automake@HIDDEN
Resent-Date: Fri, 27 Mar 2015 16:46:02 +0000
Resent-Message-ID: <handler.20077.B.14274747516538 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 20077
X-GNU-PR-Package: automake
X-GNU-PR-Keywords: 
To: 20077 <at> debbugs.gnu.org
Cc: automake@HIDDEN
X-Debbugs-Original-To: bug-automake@HIDDEN
X-Debbugs-Original-Cc: Mirko Vogt <automake@HIDDEN>, 20077 <at> debbugs.gnu.org
Received: via spool by submit <at> debbugs.gnu.org id=B.14274747516538
          (code B ref -1); Fri, 27 Mar 2015 16:46:02 +0000
Received: (at submit) by debbugs.gnu.org; 27 Mar 2015 16:45:51 +0000
Received: from localhost ([127.0.0.1]:38291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YbXOI-0001hN-Up
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2015 12:45:51 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38190)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <praiskup@HIDDEN>) id 1YbXOH-0001hA-8X
 for submit <at> debbugs.gnu.org; Fri, 27 Mar 2015 12:45:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YbXOB-0005m0-0q
 for submit <at> debbugs.gnu.org; Fri, 27 Mar 2015 12:45:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36725)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YbXOA-0005lq-Ra
 for submit <at> debbugs.gnu.org; Fri, 27 Mar 2015 12:45:42 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39908)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YbXO9-0001Ju-VT
 for bug-automake@HIDDEN; Fri, 27 Mar 2015 12:45:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YbXO5-0005j7-Pf
 for bug-automake@HIDDEN; Fri, 27 Mar 2015 12:45:41 -0400
Received: from mx1.redhat.com ([209.132.183.28]:38862)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <praiskup@HIDDEN>) id 1YbXO5-0005j3-Hf
 for bug-automake@HIDDEN; Fri, 27 Mar 2015 12:45:37 -0400
Received: from int-mx14.intmail.prod.int.phx2.redhat.com
 (int-mx14.intmail.prod.int.phx2.redhat.com [10.5.11.27])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id t2RGjX0l016024
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Fri, 27 Mar 2015 12:45:33 -0400
Received: from nb.usersys.redhat.com (unused-4-182.brq.redhat.com
 [10.34.4.182])
 by int-mx14.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 t2RGjV3D006059
 (version=TLSv1/SSLv3 cipher=AES256-SHA bits=256 verify=NO);
 Fri, 27 Mar 2015 12:45:32 -0400
From: Pavel Raiskup <praiskup@HIDDEN>
Date: Fri, 27 Mar 2015 17:45:30 +0100
Message-ID: <2162238.1THxDUGtum@HIDDEN>
User-Agent: KMail/4.14.4 (Linux/3.19.1-201.fc21.x86_64; KDE/4.14.6; x86_64; ; )
In-Reply-To: <54FF9520.70201@HIDDEN>
References: <54FF9520.70201@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.27
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Wednesday 11 of March 2015 02:06:40 Mirko Vogt wrote:
> I just stumbled across an issue where a project fails to compile using
> automake and silent-rules with $V being set to sth. else other than '1'
> or '0'.
> 
> This is because of the following resulting Makefile code when using
> silent rules:
> 
> AM_V_P = $(am__v_P_$(V))
> am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
> am__v_P_0 = false
> am__v_P_1 = :
> 
> This breaks builds in environments such as e.g. the cross-compiling
> framework OpenWrt - which also uses $(V), however with values other than
> 1/0 (e.g. V=99, V={c,w,s}, etc.).

Its not ideal (dirty), but you can work-around that by specifying
'make AM_V_P=true' explicitly.  Or the project itself can do something
like

  $ cat Makefile.am | grep ^AM_V_P
  AM_V_P = test x0 = "x$(V)"

.. when the project is known to use $V for its own purposes.

> The way automake behaves here it claims that variable for its exclusive
> use. I don't mind automake using $(V), however if using such generic
> variable names, please don't make projects fail when $(V) is set to
> something other than 1 or 0.
> 
> My proposal would be to enable verbose output, if $(V) is set to
> anything but '0' and to disable otherwise ($V is unset / set to '0').

That would probably require changing the semantics of $AM_V_P a bit, as it
now was always ':' or 'false'.  But could be worth having fixed somehow.

Pavel





Message sent to bug-automake@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#20077: automake / silent-rules / $(V)
Resent-From: Pavel Raiskup <praiskup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-automake@HIDDEN
Resent-Date: Fri, 27 Mar 2015 16:46:02 +0000
Resent-Message-ID: <handler.20077.B20077.14274747406513 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 20077
X-GNU-PR-Package: automake
X-GNU-PR-Keywords: 
To: 20077 <at> debbugs.gnu.org
Cc: automake@HIDDEN
X-Debbugs-Original-To: bug-automake@HIDDEN
X-Debbugs-Original-Cc: Mirko Vogt <automake@HIDDEN>, 20077 <at> debbugs.gnu.org
Received: via spool by 20077-submit <at> debbugs.gnu.org id=B20077.14274747406513
          (code B ref 20077); Fri, 27 Mar 2015 16:46:02 +0000
Received: (at 20077) by debbugs.gnu.org; 27 Mar 2015 16:45:40 +0000
Received: from localhost ([127.0.0.1]:38288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YbXO7-0001gz-7k
	for submit <at> debbugs.gnu.org; Fri, 27 Mar 2015 12:45:39 -0400
Received: from mx1.redhat.com ([209.132.183.28]:48105)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <praiskup@HIDDEN>) id 1YbXO3-0001gm-EZ
 for 20077 <at> debbugs.gnu.org; Fri, 27 Mar 2015 12:45:36 -0400
Received: from int-mx14.intmail.prod.int.phx2.redhat.com
 (int-mx14.intmail.prod.int.phx2.redhat.com [10.5.11.27])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id t2RGjX0l016024
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Fri, 27 Mar 2015 12:45:33 -0400
Received: from nb.usersys.redhat.com (unused-4-182.brq.redhat.com
 [10.34.4.182])
 by int-mx14.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 t2RGjV3D006059
 (version=TLSv1/SSLv3 cipher=AES256-SHA bits=256 verify=NO);
 Fri, 27 Mar 2015 12:45:32 -0400
From: Pavel Raiskup <praiskup@HIDDEN>
Date: Fri, 27 Mar 2015 17:45:30 +0100
Message-ID: <2162238.1THxDUGtum@HIDDEN>
User-Agent: KMail/4.14.4 (Linux/3.19.1-201.fc21.x86_64; KDE/4.14.6; x86_64; ; )
In-Reply-To: <54FF9520.70201@HIDDEN>
References: <54FF9520.70201@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.27
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Wednesday 11 of March 2015 02:06:40 Mirko Vogt wrote:
> I just stumbled across an issue where a project fails to compile using
> automake and silent-rules with $V being set to sth. else other than '1'
> or '0'.
> 
> This is because of the following resulting Makefile code when using
> silent rules:
> 
> AM_V_P = $(am__v_P_$(V))
> am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
> am__v_P_0 = false
> am__v_P_1 = :
> 
> This breaks builds in environments such as e.g. the cross-compiling
> framework OpenWrt - which also uses $(V), however with values other than
> 1/0 (e.g. V=99, V={c,w,s}, etc.).

Its not ideal (dirty), but you can work-around that by specifying
'make AM_V_P=true' explicitly.  Or the project itself can do something
like

  $ cat Makefile.am | grep ^AM_V_P
  AM_V_P = test x0 = "x$(V)"

.. when the project is known to use $V for its own purposes.

> The way automake behaves here it claims that variable for its exclusive
> use. I don't mind automake using $(V), however if using such generic
> variable names, please don't make projects fail when $(V) is set to
> something other than 1 or 0.
> 
> My proposal would be to enable verbose output, if $(V) is set to
> anything but '0' and to disable otherwise ($V is unset / set to '0').

That would probably require changing the semantics of $AM_V_P a bit, as it
now was always ':' or 'false'.  But could be worth having fixed somehow.

Pavel





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 20 Feb 2022 19:48:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 20 14:48:58 2022
Received: from localhost ([127.0.0.1]:33899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLsCY-0002Ht-LE
	for submit <at> debbugs.gnu.org; Sun, 20 Feb 2022 14:48:58 -0500
Received: from woodpecker.gentoo.org ([140.211.166.183]:46080
 helo=smtp.gentoo.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1nLsCX-0002Hf-Nr
 for control <at> debbugs.gnu.org; Sun, 20 Feb 2022 14:48:58 -0500
Received: by smtp.gentoo.org (Postfix, from userid 559)
 id 78E1B3438DB; Sun, 20 Feb 2022 19:48:51 +0000 (UTC)
From: Mike Frysinger <vapier@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: Control message
Message-Id: <20220220194851.78E1B3438DB@HIDDEN>
Date: Sun, 20 Feb 2022 19:48:51 +0000 (UTC)
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

retitle 20077 automake / silent-rules / $(V) when V= not set to '' or 1 or 2 (e.g. V=1234)
tag 20077 = confirmed
thankyou




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 20 Feb 2022 19:48:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 20 14:48:58 2022
Received: from localhost ([127.0.0.1]:33899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLsCY-0002Ht-LE
	for submit <at> debbugs.gnu.org; Sun, 20 Feb 2022 14:48:58 -0500
Received: from woodpecker.gentoo.org ([140.211.166.183]:46080
 helo=smtp.gentoo.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1nLsCX-0002Hf-Nr
 for control <at> debbugs.gnu.org; Sun, 20 Feb 2022 14:48:58 -0500
Received: by smtp.gentoo.org (Postfix, from userid 559)
 id 78E1B3438DB; Sun, 20 Feb 2022 19:48:51 +0000 (UTC)
From: Mike Frysinger <vapier@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: Control message
Message-Id: <20220220194851.78E1B3438DB@HIDDEN>
Date: Sun, 20 Feb 2022 19:48:51 +0000 (UTC)
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

retitle 20077 automake / silent-rules / $(V) when V= not set to '' or 1 or 2 (e.g. V=1234)
tag 20077 = confirmed
thankyou




Message sent to bug-automake@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#20077: automake / silent-rules / $(V)
References: <54FF9520.70201@HIDDEN>
In-Reply-To: <54FF9520.70201@HIDDEN>
Resent-From: Mike Frysinger <vapier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-automake@HIDDEN
Resent-Date: Sun, 20 Feb 2022 19:53:02 +0000
Resent-Message-ID: <handler.20077.B20077.16453867329125 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 20077
X-GNU-PR-Package: automake
X-GNU-PR-Keywords: confirmed
To: Pavel Raiskup <praiskup@HIDDEN>
Cc: Mirko Vogt <automake@HIDDEN>, 20077 <at> debbugs.gnu.org
Received: via spool by 20077-submit <at> debbugs.gnu.org id=B20077.16453867329125
          (code B ref 20077); Sun, 20 Feb 2022 19:53:02 +0000
Received: (at 20077) by debbugs.gnu.org; 20 Feb 2022 19:52:12 +0000
Received: from localhost ([127.0.0.1]:33904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLsFg-0002N6-0r
	for submit <at> debbugs.gnu.org; Sun, 20 Feb 2022 14:52:12 -0500
Received: from woodpecker.gentoo.org ([140.211.166.183]:46768
 helo=smtp.gentoo.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1nLsFe-0002Ms-9m
 for 20077 <at> debbugs.gnu.org; Sun, 20 Feb 2022 14:52:11 -0500
Received: by smtp.gentoo.org (Postfix, from userid 559)
 id A2145343795; Sun, 20 Feb 2022 19:52:03 +0000 (UTC)
From: Mike Frysinger <vapier@HIDDEN>
Message-Id: <20220220195204.A2145343795@HIDDEN>
Date: Sun, 20 Feb 2022 19:52:03 +0000 (UTC)
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

On Fri, 27 Mar 2015 17:45:30 +0100, Pavel Raiskup wrote:
> On Wednesday 11 of March 2015 02:06:40 Mirko Vogt wrote:
> > I just stumbled across an issue where a project fails to compile using
> > automake and silent-rules with $V being set to sth. else other than '1'
> > or '0'.
> > 
> > This is because of the following resulting Makefile code when using
> > silent rules:
> > 
> > AM_V_P = $(am__v_P_$(V))
> > am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
> > am__v_P_0 = false
> > am__v_P_1 = :
> > 
> > This breaks builds in environments such as e.g. the cross-compiling
> > framework OpenWrt - which also uses $(V), however with values other than
> > 1/0 (e.g. V=99, V={c,w,s}, etc.).
>
> Its not ideal (dirty), but you can work-around that by specifying
> 'make AM_V_P=true' explicitly.  Or the project itself can do something
> like
>
>   $ cat Makefile.am | grep ^AM_V_P
>   AM_V_P = test x0 = "x$(V)"
>
> .. when the project is known to use $V for its own purposes.

GNU Make supports:
am__v_P_$(V) = $(am__v_P_$(AM_DEFAULT_VERBOSITY))

`make V='asldfj aksdfj lajsdf'` still works with this.

but i don't know how portable this is.  might be as portable as recursive
make variables in general ?

> > The way automake behaves here it claims that variable for its exclusive
> > use. I don't mind automake using $(V), however if using such generic
> > variable names, please don't make projects fail when $(V) is set to
> > something other than 1 or 0.
> > 
> > My proposal would be to enable verbose output, if $(V) is set to
> > anything but '0' and to disable otherwise ($V is unset / set to '0').
>
> That would probably require changing the semantics of $AM_V_P a bit, as it
> now was always ':' or 'false'.  But could be worth having fixed somehow.

i don't think changing AM_V_P semantics is feasible.  it's documented in the
manual as having this behavior and has since automake-1.13 (for ~10 years).
this variable is meant to be used by code written by users, not an internal
Automake setting.
-mike





Last modified: Sun, 20 Feb 2022 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.